import { Role, UserRole } from '../../../model/common-model';
import { ServiceBase } from '../../../data/service-base';
export declare class UserBaseForm {
    private rolesMode;
    private editingMode;
    private canEditUser;
    private maxColumns;
    private user;
    private canAddOrUpdate;
    private languages;
    private languageValuesToRemove;
    protected roleService: ServiceBase<Role>;
    protected userRoleService: ServiceBase<UserRole>;
    private authService;
    private singleRoleSelection;
    private originalUserRole;
    private get columnClass();
    private get isCreationMode();
    private get languagesToShow();
    attached(): void;
    private onSingleRoleSelectReady;
    private onSingleRoleSelected;
}
